ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.teletype.WhitespaceText Class Reference
Inheritance diagram for odf.teletype.WhitespaceText:
[legend]
Collaboration diagram for odf.teletype.WhitespaceText:
[legend]

## Public Member Functions
def | __init__
def | addTextToElement
| Process an input string, inserting <text:tab> elements for '', <text:line-break> elements for ' ', and <text:s> elements for runs of more than one blank. More...

## Public Attributes
| textBuffer
| spaceCount

## Detailed Description

Definition at line 35 of file teletype.py.

## Constructor & Destructor Documentation

def odf.teletype.WhitespaceText.__init__ | ( |  | self | ) |

Definition at line 37 of file teletype.py.

## Member Function Documentation

def odf.teletype.WhitespaceText.addTextToElement | ( |  | self,
|  |  | odfElement,
|  |  | s
| ) |  |

Process an input string, inserting <text:tab> elements for '', <text:line-break> elements for '
', and <text:s> elements for runs of more than one blank.

These will be added to the given element.

Definition at line 48 of file teletype.py.

Here is the call graph for this function:

## Member Data Documentation

odf.teletype.WhitespaceText.spaceCount

Definition at line 39 of file teletype.py.

odf.teletype.WhitespaceText.textBuffer

Definition at line 38 of file teletype.py.

The documentation for this class was generated from the following file:

- odf/teletype.py